﻿$ErrorActionPreference = 'Stop'

# *** Automatically filled ***
$softwareName = 'Atom'
$version      = '1.55.0'
# *** Automatically filled ***

if (!$Env:ChocolateyForce -and $version -eq (Get-UninstallRegistryKey $softwareName).DisplayVersion) {
    Write-Host "Version $version is already installed."
    return
}

# *** Automatically filled ***
$packageArgs = @{
    packageName    = 'atom.install'
    softwareName   = $softwareName
    fileType       = 'exe'
    url            = 'https://github.com/atom/atom/releases/download/v1.55.0/AtomSetup.exe'
    url64bit       = 'https://github.com/atom/atom/releases/download/v1.55.0/AtomSetup-x64.exe'
    silentArgs     = '--silent'
    checksum       = 'f897ed2dd7f15066a5441dcc768730ddb2b25527dd473266354663b031befa01'
    checksumType   = 'sha256'
    checksum64     = 'ef47818f57030be5f12d0ad878c20bb07a934701e747760ca4ac68907e442a19'
    checksumType64 = 'sha256'
    validExitCodes = @(0)
}
# *** Automatically filled ***

Install-ChocolateyPackage @packageArgs
